githubEdit

Measurement units endpoints

List measurement units

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of measurementUnits to show

Default: 25
keystringOptional

key of the measurementUnit

localestringOptional

Provide the localized names for the measurementUnit. If not provided the default locale is used., for example de_DE.

Responses
chevron-right
200

The found measurementUnit.

application/json

MeasurementUnits

totalintegerOptional

Total number of found entities for this query

Example: 42
get
/api/measurementunits

Get measurement unit

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
measurementUnitIdstringRequired
Responses
chevron-right
200

The found measurementUnit.

application/json

MeasurementUnit

keystringRequired

Descriptor for the measurement unit

Example: kilogramm
requiresMeasurementbooleanOptional

Indicates that the given unit need to be measured.

Example: true
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
abbreviationstringOptional

Translated abbreviation of the measurement unit

Example: kg
idstringRequiredExample: c5300790-9477-475c-bd6d-98e5d61f6413
namestringOptional

Translated name of the measurement unit

Example: kilogramm
get
/api/measurementunits/{measurementUnitId}

Create measurement unit

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

MeasurementUnitForCreation

keystringRequired

Descriptor for the measurement unit

Example: kilogramm
requiresMeasurementbooleanOptional

Indicates that the given unit need to be measured.

Example: true
Responses
post
/api/measurementunits

Update measurement unit

put

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
measurementUnitIdstringRequired
Body

MeasurementUnitForCreation

keystringRequired

Descriptor for the measurement unit

Example: kilogramm
requiresMeasurementbooleanOptional

Indicates that the given unit need to be measured.

Example: true
Responses
chevron-right
200

Successfully updated the measurementUnit.

application/json

MeasurementUnit

keystringRequired

Descriptor for the measurement unit

Example: kilogramm
requiresMeasurementbooleanOptional

Indicates that the given unit need to be measured.

Example: true
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
abbreviationstringOptional

Translated abbreviation of the measurement unit

Example: kg
idstringRequiredExample: c5300790-9477-475c-bd6d-98e5d61f6413
namestringOptional

Translated name of the measurement unit

Example: kilogramm
put
/api/measurementunits/{measurementUnitId}

Delete measurement unit

delete

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
measurementUnitIdstringRequired
Responses
chevron-right
200

Successfully deleted the measurementUnit.

No content

delete
/api/measurementunits/{measurementUnitId}

No content

Last updated